1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

what version ps2 do i need

Discussion in 'PS2 - Hardware boot discussion' started by krowran, Dec 4, 2004.

  1. krowran

    krowran Guest

    ya this is probley a stupid ? but ihave a version 7 ps2,i was wondering if swapmagic will work for my ps2,sence i dont wont to mod my ps2 yet.or what does anybody sudjest i should do.....thanks for the help
     
  2. bboy_flex

    bboy_flex Regular member

    Joined:
    Jun 24, 2004
    Messages:
    231
    Likes Received:
    0
    Trophy Points:
    26
    Swap Magic is compatible with all version ps2s including the slimline. Just make sure that you know how to take off your tray cover or get a fliptop.
     

Share This Page